# dipy_correct_motion

## Usage

    dipy_correct_motion [OPTIONS] input_files bvalues_files bvectors_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

- `bvalues_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `bvectors_files`

  Path to the bvectors files. This path may contain wildcards to use multiple bvectors files at once.

## General Options

- `--b0_threshold`

  Threshold used to find b0 volumes. (default: 50)

- `--bvecs_tol`

  Threshold used to check that norm(bvec) = 1 +/- bvecs_tol b-vectors are unit vectors (default: 0.01)

- `--level_iters`

  The number of iterations at each level of the Gaussian pyramid. (default: (1000, 500, 100))

## Output Options

- `--out_dir`

  Directory to save the transformed image and the affine matrix. (default: current directory)

- `--out_moved`

  Name for the saved transformed image. (default: moved.nii.gz)

- `--out_affine`

  Name for the saved affine matrix. (default: affine.txt)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.